Summary: Mouse and keyboard sharing utility
Name: synergy
Version: 1.3.1
Release: 14%{?dist}
License: GPLv2
Group: System Environment/Daemons
URL: http://synergy2.sourceforge.net/
Source: http://downloads.sf.net/synergy2/synergy-%{version}.tar.gz
Source1: synergyc.1
Source2: synergys.1
Patch1: synergy-1.3.1-gcc43.patch
Patch2: synergy-1.3.1-copynpaste-crash.patch
Patch3: synergy-1.3.1-X11-selection.patch
Patch4: synergy-1.3.1-X11-DPMS.patch
Patch5: synergy-1.3.1-warnings.patch
# http://sf.net/tracker/?func=detail&atid=490469&aid=2141567&group_id=59275
Patch6: synergy-1.3.1-stuttered-delay-fix.patch
Patch7: synergy-1.3.1-stuttered-delay-fix-fix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXtst-devel
BuildRequires: libXt-devel
BuildRequires: libXinerama-devel
BuildRequires: xorg-x11-proto-devel

%description
Synergy lets you easily share a single mouse and keyboard between
multiple computers with different operating systems, each with its
own display, without special hardware.  It's intended for users
with multiple computers on their desk since each system uses its
own display.


%prep
%setup -q
%patch1 -p1 -b .gcc43
%patch2 -p1 -b .copynpaste
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p0


%build
%configure
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_mandir}/man1
install -p -m 644 %{SOURCE1} %{buildroot}%{_mandir}/man1
install -p -m 644 %{SOURCE2} %{buildroot}%{_mandir}/man1


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING doc/PORTING NEWS README
%doc doc/*.css doc/*.html
%doc examples/synergy.conf
%{_bindir}/synergyc
%{_bindir}/synergys
%{_mandir}/man1/synergy*.1.gz


%changelog
* Mon Sep 14 2009 Matthias Saou <http://freshrpms.net/> 1.3.1-14
- Add xorg-x11-proto-devel build requirement for X11/extensions/XTest.h.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Matthias Saou <http://freshrpms.net/> 1.3.1-12
- Include patch to fix the fix for delay issues (#471259).

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Nov  4 2008 Matthias Saou <http://freshrpms.net/> 1.3.1-10
- Include patch to fix delay issues (#469422).

* Mon Jun  2 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 1.3.1-9
- Drop no longer needed patch0, stop regenerating autoxxx files
- Apply the following bug fixes from upstream's bug tracker:
  -off by one bugfix to X11 selection (fixes copy and paste by selection)
  -call DPMSOn() when entering screen to make sure powersaving mode is canceled
   on X11 client systems when the fake mouse / keyb become active
- Add manpages (courtesy of Debian)

* Mon Jun  2 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 1.3.1-8
- Fix synergy crashing on copy and paste (bz 434539)

* Sun Feb 24 2008 Matthias Saou <http://freshrpms.net/> 1.3.1-7
- Include patch to fix build failure with gcc 4.3 (#434460).

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> 1.3.1-6
- Autorebuild for GCC 4.3

* Thu Aug 23 2007 Matthias Saou <http://freshrpms.net/> 1.3.1-5
- Rebuild for new BuildID feature.

* Fri Aug  3 2007 Matthias Saou <http://freshrpms.net/> 1.3.1-4
- Update License field (GPLv2 only, no "or any later version").

* Tue Jun 19 2007 Matthias Saou <http://freshrpms.net/> 1.3.1-3
- Change to using the DESTDIR install mathod.
- Drop X build requires conditional.
- Switch to using a downloads.sf.net source URL.

* Mon Aug 28 2006 Matthias Saou <http://freshrpms.net/> 1.3.1-2
- FC6 rebuild.

* Thu May  4 2006 Matthias Saou <http://freshrpms.net/> 1.3.1-1
- Update to 1.3.1.
- Run full autoreconf instead of just autoconf since 1.6 is required otherwise.

* Mon Mar  6 2006 Matthias Saou <http://freshrpms.net/> 1.2.7-2
- FC5 rebuild.

* Tue Dec 20 2005 Matthias Saou <http://freshrpms.net/> 1.2.7-1
- Update to 1.2.7.
- Add automake build requirement (to get aclocal).
- For %%{fedora} >= 5, buildrequire modular X packages.

* Mon Nov  7 2005 Matthias Saou <http://freshrpms.net/> 1.2.5-1
- Update to 1.2.5, -Werror patch still required.

* Wed Aug 17 2005 Matthias Saou <http://freshrpms.net/> 1.2.4-1
- Update to 1.2.4, -Werror patch still required.

* Wed Aug  3 2005 Matthias Saou <http://freshrpms.net/> 1.2.3-1
- Update to 1.2.3, -Werror patch still required (only for warn_unused_result
  anyway).

* Wed May  4 2005 Matthias Saou <http://freshrpms.net/> 1.2.2-3
- Rebuild (my bad with CVS "make tag", I guess).

* Sun Apr 17 2005 Matthias Saou <http://freshrpms.net/> 1.2.2-2
- Disable -Werror as build fails with gcc4 otherwise (temporary fix).

* Mon Jan 31 2005 Matthias Saou <http://freshrpms.net/> 1.2.2-1
- Update to 1.2.2.

* Thu Jan 13 2005 Matthias Saou <http://freshrpms.net/> 1.2.1-1
- Update to 1.2.1.

* Mon Jan  3 2005 Matthias Saou <http://freshrpms.net/> 1.2.0-1
- Update to 1.2.0.

* Wed May 19 2004 Matthias Saou <http://freshrpms.net/> 1.0.14-2
- Rebuilt for Fedora Core 2.

* Wed Jan 21 2004 Matthias Saou <http://freshrpms.net/> 1.0.14-1
- Initial RPM package.

